Bug 114507 - Cleanup x11-toolkits/xview
Cleanup x11-toolkits/xview
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: pav
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-11 19:30 UTC by giffunip
Modified: 2007-07-20 13:50 UTC (History)
0 users

See Also:


Attachments
file.diff (4.71 KB, patch)
2007-07-11 19:30 UTC, giffunip
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description giffunip 2007-07-11 19:30:04 UTC
Cleanup the PREFIX/X11BASE reinplacing in this port. No functional change.

Fix: patch:
How-To-Repeat: The port was patching /usr/lib --> /usr/X11R6/lib and then replacing all
occurrences of X11BASE to PREFIX. It's a lot cleaner to remove all prefix
changing patches and directly change /usr/lib to $PREFIX/lib with reinplace.
Comment 1 pav freebsd_committer 2007-07-15 22:59:22 UTC
State Changed
From-To: open->feedback

Why have you moved all the patching to pre-configure: target? 


Comment 2 pav freebsd_committer 2007-07-15 22:59:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Track
Comment 3 pav freebsd_committer 2007-07-20 13:00:21 UTC
State Changed
From-To: feedback->closed

Committed, thanks!
Comment 4 dfilter freebsd_committer 2007-07-20 13:41:11 UTC
pav         2007-07-20 12:41:02 UTC

  FreeBSD ports repository

  Modified files:
    x11-toolkits/xview   Makefile 
    x11-toolkits/xview/files patch-clients+olwm+screen.c 
                             patch-config+XView.cf 
                             patch-lib+libxview+textsw+txt_e_menu.c 
  Log:
  - The port was patching /usr/lib --> /usr/X11R6/lib and then replacing all
    occurrences of X11BASE to PREFIX. It's a lot cleaner to remove all prefix
    changing patches and directly change /usr/lib to $PREFIX/lib with reinplace.
  
  PR:             ports/114507
  Submitted by:   Pedro F. Giffuni <giffunip@tutopia.com>
  
  Revision  Changes    Path
  1.46      +7 -15     ports/x11-toolkits/xview/Makefile
  1.2       +1 -19     ports/x11-toolkits/xview/files/patch-clients+olwm+screen.c
  1.3       +1 -1      ports/x11-toolkits/xview/files/patch-config+XView.cf
  1.3       +3 -18     ports/x11-toolkits/xview/files/patch-lib+libxview+textsw+txt_e_menu.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"